Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030061
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2015-06-01 13:522015-06-08 11:09
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision8acbd2d2afa5
ProjectionnoneETAnoneTarget Version3.0PR15Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030061: Customer Statement report is not considering all required tables

DescriptionReport is only considering Sales Invoices, Payment In, Financial Transactions and Reconciliations tables, when some other tables such as GL Journal, Remittance and so on needs to be considered in order to obtain proper customer balance
Steps To Reproduce1. Register Sales Invoice for any customer. Process and Post
2. Register Remittance, include previous invoice in remittance. Process and Post
3. Run Customer Statement report for this customer and organization and realize that balance is not zero

Proposed Solutionpatch attached
TagsNo tags attached.
Attached Filesdiff file icon 30061.diff [^] (769 bytes) 2015-06-01 13:52 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0078139)
hgbot (developer)
2015-06-08 04:54

Repository: erp/devel/pi
Changeset: 8acbd2d2afa51ef1c8f6808a29d1c21fda0c35e1
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Sun Jun 07 21:27:32 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/8acbd2d2afa51ef1c8f6808a29d1c21fda0c35e1 [^]

Fixes Issue 30061:Customer Statement report is not considering all required
tables

All tables are considered now except C_Period which is not needed here.

---
M src/org/openbravo/erpCommon/ad_reports/CustomerStatement.jrxml
---
(0078140)
AtulOpenbravo (developer)
2015-06-08 04:57

Test Plan
- Register Sales Invoice for any customer. Process and Post.
- Register Remittance, include previous invoice in remittance. Process and Post.
- Run Customer Statement report for this customer and organization and realize that balance is zero.
(0078142)
dmiguelez (developer)
2015-06-08 10:57

Code Review + Testing Ok
(0078144)
hudsonbot (developer)
2015-06-08 11:09

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/129a8588e600 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-06-01 13:52 maite New Issue
2015-06-01 13:52 maite Assigned To => Triage Finance
2015-06-01 13:52 maite Modules => Core
2015-06-01 13:52 maite Triggers an Emergency Pack => No
2015-06-01 13:52 maite File Added: 30061.diff
2015-06-01 13:53 maite Target Version => 3.0PR15Q3
2015-06-01 17:47 maite Type design defect => defect
2015-06-05 11:41 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-06-05 11:46 AtulOpenbravo Status new => scheduled
2015-06-08 04:54 hgbot Checkin
2015-06-08 04:54 hgbot Note Added: 0078139
2015-06-08 04:54 hgbot Status scheduled => resolved
2015-06-08 04:54 hgbot Resolution open => fixed
2015-06-08 04:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8acbd2d2afa51ef1c8f6808a29d1c21fda0c35e1 [^]
2015-06-08 04:57 AtulOpenbravo Note Added: 0078140
2015-06-08 10:57 dmiguelez Review Assigned To => dmiguelez
2015-06-08 10:57 dmiguelez Note Added: 0078142
2015-06-08 10:57 dmiguelez Status resolved => closed
2015-06-08 11:09 hudsonbot Checkin
2015-06-08 11:09 hudsonbot Note Added: 0078144


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker